*     VDI interface common areas for Prospero FORTRAN-77

*     6 June 1987

*     This file can be included in source Fortran programs
*     The array sizes can be increased if required

      INTEGER*2 VDI_control,VDI_intin,VDI_intout,VDI_ptsin,VDI_ptsout

      COMMON /VDI_control/ VDI_control(0:11)
      COMMON /VDI_intin/   VDI_intin(0:80)
      COMMON /VDI_ptsin/   VDI_ptsin(0:12)
      COMMON /VDI_intout/  VDI_intout(0:45)
      COMMON /VDI_ptsout/  VDI_ptsout(0:12)

      INTEGER*4 addr_control, addr_intin, addr_ptsin
      INTEGER*4 addr_intout, addr_ptsout

      COMMON /VDIparm/ addr_control, addr_intin, addr_ptsin,
     +                 addr_intout, addr_ptsout
      
